For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agents

List agents in call queue for exclusive number

get

Get a collection of agent extension numbers in call queue for exclusive number.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
queue_idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
get/exclusive_numbers/{id}/call_queues/{queue_id}/agents
GET /api/exclusive_numbers/{id}/call_queues/{queue_id}/agents HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
      "name": "text",
      "display_name": "text",
      "extension_number": "text"
    }
  ]
}

Set agents for exclusive number

post

Set agents for exclusive number.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
queue_idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
itemsstring[]Optional

A collection of call queue agent extension numbers.

Responses
200

OK

No content

post/exclusive_numbers/{id}/call_queues/{queue_id}/agents
POST /api/exclusive_numbers/{id}/call_queues/{queue_id}/agents HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "items": [
    "text"
  ]
}

No content

Was this helpful?